Skip to main content

Cloud Management

List AWS Accounts

GET /cloud/accounts

Add AWS Account

POST /cloud/accounts

Test Connection

POST /cloud/accounts/{account_id}/test

Get Costs

GET /cloud/costs?account_id={id}&start_date={date}&end_date={date}

ECS

List Clusters

GET /infrastructure/ecs/clusters?account_id={id}

List Services

GET /infrastructure/ecs/clusters/{cluster}/services?account_id={id}

Force Deploy

POST /infrastructure/ecs/services/{service}/deploy

Scale Service

POST /infrastructure/ecs/services/{service}/scale

Get Logs

GET /infrastructure/ecs/services/{service}/logs

Lambda

List Functions

GET /infrastructure/lambda/functions?account_id={id}

Invoke Function

POST /infrastructure/lambda/functions/{name}/invoke

Get Logs

GET /infrastructure/lambda/functions/{name}/logs

Deployments (Amplify)

List Apps

GET /deployments/apps

Trigger Deploy

POST /deployments/apps/{app_id}/deploy

Get Build Logs

GET /deployments/apps/{app_id}/builds/{build_id}/logs